[tor-commits] [tor/master] test/parseconf: Consistenly use FAIL

teor at torproject.org teor at torproject.org
Tue Nov 5 04:28:52 UTC 2019


commit 1dd6717db5016e59f8910c98276c820f447f33ff
Author: teor <teor at torproject.org>
Date:   Mon Nov 4 11:15:41 2019 +1000

    test/parseconf: Consistenly use FAIL
    
    Obviously correct fixes on already reviewed code.
---
 src/test/test_parseconf.sh | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/test/test_parseconf.sh b/src/test/test_parseconf.sh
index 2f1979340..a224573a2 100755
--- a/src/test/test_parseconf.sh
+++ b/src/test/test_parseconf.sh
@@ -187,7 +187,7 @@ for dir in "${EXAMPLEDIR}"/*; do
                         --dump-config short \
                         ${CMDLINE} \
                         | "${FILTER}" > "${DATA_DIR}/output.${testname}" \
-                        || die "Failure: Tor exited."
+                        || die "FAIL: Tor exited."
 
         if cmp "$EXPECTED" "${DATA_DIR}/output.${testname}">/dev/null ; then
             # Check round-trip.
@@ -196,11 +196,11 @@ for dir in "${EXAMPLEDIR}"/*; do
                             --dump-config short \
                             | "${FILTER}" \
                             > "${DATA_DIR}/output_2.${testname}" \
-                        || die "Failure: Tor exited on round-trip."
+                        || die "FAIL: Tor exited on round-trip."
 
             if ! cmp "${DATA_DIR}/output.${testname}" \
                  "${DATA_DIR}/output_2.${testname}"; then
-                echo "Failure: did not match on round-trip." >&2
+                echo "FAIL: did not match on round-trip." >&2
                 exit $EXITCODE
             fi
 
@@ -214,7 +214,7 @@ for dir in "${EXAMPLEDIR}"/*; do
                                 --verify-config \
                                 ${CMDLINE} || true
             fi
-            echo "Failure: did not match." >&2
+            echo "FAIL: did not match." >&2
             diff -u "$EXPECTED" "${DATA_DIR}/output.${testname}" >&2 \
                 || true
             exit $EXITCODE
@@ -234,7 +234,7 @@ for dir in "${EXAMPLEDIR}"/*; do
                         --defaults-torrc "${DEFAULTS}" \
                         ${CMDLINE} \
                         > "${DATA_DIR}/output.${testname}" \
-                        && die "Failure: Tor did not report an error."
+                        && die "FAIL: Tor did not report an error."
 
         expect_err="$(cat $ERROR)"
         if grep "${expect_err}" "${DATA_DIR}/output.${testname}" >/dev/null; then





More information about the tor-commits mailing list